<template>
  <div class="mt-form-fields-profil">
    <div class="mt-fields-section">
      <h3 class="has-text-weight-bold">Informations sur le profil</h3>
      <b-field label="Code ">
        <b-input v-model="profil.code" placeholder="Ex: user" required />
      </b-field>
      <b-field label="Description ">
        <b-input v-model="profil.description" placeholder="Ex: User" required />
      </b-field>
      <b-field label="Ordre ">
        <b-input v-model="profil.ordre" placeholder="Ex: 100" required />
      </b-field>
      <b-field label="Type d'organisme">
        <b-select v-model="profil.typeOrganisme.id" placeholder="Sélectionner un type d'organisme" expanded>
          <option v-for="typeOrga in typesOrganismes" :key="typeOrga.id" :value="typeOrga.id">
            {{ typeOrga.libelle }}
          </option>
        </b-select>
      </b-field>
      <b-field label="Profil par défaut ">
        <b-checkbox v-model="profil.isDefault" :value="profil.isDefault" />
      </b-field>
      <h3 class="has-text-weight-bold">Roles</h3>
      <mt-list v-slot="{ item: role }" :list="roles">
        <div class="mt-list-item">
          <div class="columns is-vcentered">
            <div class="column is-2">
              <b-checkbox v-model="selectedRoles[role]" :value="selectedRoles[role]" />
            </div>
            <div class="column">
              <span>{{ role }}</span>
            </div>
            <div class="column is-2"></div>
          </div>
        </div>
      </mt-list>
    </div>
  </div>
</template>

<script>
import MtList from '~/components/base/list';

export default {
  components: {
    MtList,
  },
  props: {
    profil: {
      type: Object,
      default: () => ({}),
    },
    roles: {
      type: Array,
      default: () => [],
    },
    selectedRoles: {
      type: Object,
      default: () => ({}),
    },
    typesOrganismes: {
      type: Array,
      default: () => [],
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

/deep/ {
  label.label {
    font-size: 0.8rem;
    color: $grey;
    margin-bottom: 0.3em;
    font-weight: normal;
  }
}
h3 {
  font-weight: bold;
  margin-bottom: 1rem;
}
.mt-fields-section {
  margin-bottom: 1.25rem;
}
.mt-fake-field {
  margin-bottom: 0;
}
.mt-type {
  .control:not(:last-child) {
    margin-right: 1rem;
  }
}
</style>
